org.apache.ignite.internal.processors.cache.persistence.snapshot

## Interface SnapshotOperation

All Superinterfaces:
  Serializable

    public interface SnapshotOperation
    extends Serializable

Initial snapshot operation interface.

### Method Summary

Methods
`Set<Integer>` `cacheGroupIds()` Cache group ids included to this snapshot.
`Set<String>` `cacheNames()` Cache names included to this snapshot.
`Object` `extraParameter()` Any custom extra parameter.

### Method Detail

#### cacheGroupIds

    Set<Integer> cacheGroupIds()

Cache group ids included to this snapshot.

Returns:
  Cache names.

#### cacheNames

    Set<String> cacheNames()

Cache names included to this snapshot.

#### extraParameter

    Object extraParameter()

Any custom extra parameter.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017